version: '2'
#name: openvpn

services:
  openvpn-client:
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    environment:
      - OPENVPN_CONFDIR=/etc/openvpn
      - OPENVPN_MODE=client
      - OPENVPN_DEBUG=false
    #healthcheck:
    # test: ["CMD-SHELL", "exec ping -qc1 10.80.68.1"]
    #  start_period: 10s
    #  interval: 5s
    #  timeout: 3s
    #  retries: 60
    image: infra7/openvpn:latest
    restart: unless-stopped
    network_mode: host
    volumes:
      - /etc/openvpn:/etc/openvpn
